/*
 * JPA entity PK template
 */

package de.ivu.elect.business.wahlbeteiligung.entity;

@javax.enterprise.inject.Vetoed
public class WahlbeteiligungPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<WahlbeteiligungPK> {

  private static final long serialVersionUID = 0L;

  public WahlbeteiligungPK() {
    super();
  }

  public WahlbeteiligungPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "WahlbeteiligungPK:"+getId();
  }

  @Override
  public int compareTo(WahlbeteiligungPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
